.telegram-wrapper {
    padding: 50px 0;
    width: 100svw;
    box-sizing: border-box;
    display: flex;
    flex-direction: column;
}

.telegram-wrapper ul {
    margin: 0 auto;
    width: 80svw;
    min-height: 400px;
    display: grid;
    grid-template-columns: repeat(auto-fit, minmax(300px, 1fr));
    gap: 10px;
}

.tele {
    position: relative;
    height: 100%;
    padding: 15px;
    box-sizing: border-box;
    background-color: black;

    display: flex;
    flex-direction: column;
    gap: 5px;
    justify-content: center;
    align-items: center;
    overflow: hidden;
}

.tele-bg {
    z-index: 0;
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    object-fit: cover;
    filter: brightness(.35);
    transition: var(--apple-animation);
}

.tele span,
.tele-svg {
    z-index: 1;
    color: white;
    aspect-ratio: 1/1;
    width: 50px;
    font-size: 50px;
    transition: var(--apple-animation);
}

.tele h1 {
    z-index: 1;
    text-align: center;
    font-size: var(--fontsize-18);
    color: white;
}

.tele p {
    width: 90%;
    z-index: 1;
    opacity: .8;
    font-weight: 500;
    text-align: center;
    font-size: var(--fontsize-14);
    color: white;
}

.tele:hover .tele-svg,
.tele:hover span,
.tele:hover .tele-bg {
    transform: scale(1.15);
    transition: var(--apple-animation);
}

.block-link {
    display: flex;
    height: 100%;
    flex-direction: column;
    gap: 5px;
}